import request from '@/utils/request'

// 确认MEASURE完成确认清单
export function handleConfirmMeasure(data) {
  return request({
    url: '/pssr/measure/confirmMeasure',
    method: 'put',
    data: data
  })
}

// 驳回MEASURE完成确认清单
export function handleTurnDownMeasure(data) {
  return request({
    url: '/pssr/measure/turnDownMeasure',
    method: 'put',
    data: data
  })
}

// 查询人身防护列表
export function listMeasure(query) {
  return request({
    url: '/pssr/measure/list',
    method: 'get',
    params: query
  })
}

// 查询人身防护详细
export function getMeasure(id) {
  return request({
    url: '/pssr/measure/' + id,
    method: 'get'
  })
}

// 新增人身防护
export function addMeasure(data) {
  return request({
    url: '/pssr/measure',
    method: 'post',
    data: data
  })
}

// 修改人身防护
export function updateMeasure(data) {
  return request({
    url: '/pssr/measure',
    method: 'put',
    data: data
  })
}

//
export function updateMeasureBatch(data) {
  return request({
    url: '/pssr/measure/editBatch',
    method: 'put',
    data: data
  })
}


// 删除人身防护
export function delMeasure(id) {
  return request({
    url: '/pssr/measure/' + id,
    method: 'delete'
  })
}

// 导出人身防护
export function exportMeasure(query) {
  return request({
    url: '/pssr/measure/export',
    method: 'get',
    params: query
  })
}
